Bug 100856 - Firstboot clock setting uses 24-hour time instead of 12-hour time
Summary: Firstboot clock setting uses 24-hour time instead of 12-hour time
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: firstboot (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-26 04:54 UTC by Brian Ryner
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-10 17:50:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Ryner 2003-07-26 04:54:34 UTC
Description of problem:

When firstboot brings up the dialog to set the system time, it should use
12-hour time if appropriate for the current locale.  Right now, it always uses
24-hour time.

Version-Release number of selected component (if applicable):

firstboot-1.1.4-1

How reproducible:

always

Steps to Reproduce:
1. Boot the machine after the installer completes
2. Advance to the dialog to set the system clock
3.
    
Actual results:

The hours are set from 0-23.

Expected results:

The hours are set from 1-12 + AM/PM.

Comment 1 Brent Fox 2004-01-05 20:42:03 UTC
As far as I know, there is no table to tell me if 12-hour or 24-time
is appropriate for a given locale.  Without that information, there is
no way for me to know what the right setting is.  Therefore, it uses
24-hour time which is probably correct for the majority of users.

Comment 2 Brian Ryner 2004-01-05 22:46:42 UTC
How about making this bug dependent on having a way to get this
information then, rather than resolving it WONTFIX?

It's also worth noting that:

date +"%X"

prints 12-hour time, so it determines somehow that this is the correct
time representation.


Comment 3 Brent Fox 2004-03-10 17:50:34 UTC
I have no plans to implement this.  Out of all the people that have
used firstboot, this is the first request I've had for this.  If at
some time there is a more widespread desire for this, I will reconsider.


Note You need to log in before you can comment on or make changes to this bug.